Skip to main content
POST
/
engage#profile-delete
Delete Profile
curl --request POST \
  --url 'https://{region}.mixpanel.com/engage#profile-delete' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "$token": "YOUR_PROJECT_TOKEN",
    "$distinct_id": "13793",
    "$delete": "null",
    "$ignore_alias": false
  }
]
'
import requests

url = "https://{region}.mixpanel.com/engage#profile-delete"

payload = [
    {
        "$token": "YOUR_PROJECT_TOKEN",
        "$distinct_id": "13793",
        "$delete": "null",
        "$ignore_alias": False
    }
]
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify([
    {
      $token: 'YOUR_PROJECT_TOKEN',
      $distinct_id: '13793',
      $delete: 'null',
      $ignore_alias: false
    }
  ])
};

fetch('https://{region}.mixpanel.com/engage#profile-delete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


1

Query Parameters

strict
integer

If present and equal to 1, Mixpanel will validate the provided records and return a JSON object with per-record error messages for records that fail validation.

Required range: 0 <= x <= 1
verbose
integer

If present and equal to 1, Mixpanel will respond with a JSON Object describing the success or failure of the tracking call. The returned object will have two keys: status, with the value 1 on success and 0 on failure, and error, with a string-valued error message if the request wasn't successful. This is useful for debugging during implementation.

Required range: 0 <= x <= 1
callback
string

If present, Mixpanel will return a content-type: text/javascript with a body that calls a function by value provided. This is useful for creating local callbacks to a successful track call in JavaScript.

Body

application/json
Minimum array length: 1
$token
string
default:YOUR_PROJECT_TOKEN
required
$distinct_id
string
default:13793
required
$delete
string | null
default:null
required
$ignore_alias
boolean
default:false

Response

  • 1 - One or more objects provided are valid. This does not signify a valid project token or secret.
  • 0 - No data objects in the body are valid.

The response is of type enum<integer>.

Available options:
1,
0